<template>
  <main class="content">
    <TheHeader />
    <NuxtPage />
    <TheFooter />
  </main>
</template>

<script setup lang="ts">
import TheHeader from "./components/TheHeader.vue";
import TheFooter from "./components/TheFooter.vue";
</script>

<style lang="scss">
@import "assets/styles/_variables.scss";
@font-face {
  font-family: "Sequel-100";
  src: local("Sequel_100_Black"),
    url("assets/fonts/Sequel/Sequel100Black-105.ttf") format("truetype");
}
@font-face {
  font-family: "Sequel-45";
  src: local("Sequel_100_Black"),
    url("assets/fonts/Sequel/Sequel100Black-45.ttf") format("truetype");
}

.light-mode body {
  background-color: $light-background-color;
  color: $light-foreground-color;
}

body {
  background-color: $background-color;
  color: $foreground-color;
  font-family: "Sequel-100", extra-expanded;
  max-width: $website-max-width;
  margin-left:auto;
  margin-right:auto;

}
.light-mode .content {
  color: $light-foreground-color;
}
.content {
  position:relative;
  min-height: 100vh;
  padding: 2em 10em;
  @media screen and (max-width: $medium-screen-width) {
    padding: 2em 5em;
  }
  @media screen and (max-width: $small-screen-width) {
    padding: 2em 1.5em;
  }
}
.light-mode .section__content {
  color: $light-foreground-color;
}
.light-mode .section__greeting {
  color: $light-greeting-color;
}
.section {
  display: grid;
  grid-template-columns: 4fr;
  padding: 0px 5%;
  margin: 0px 5%;
  &__header {
    font-size: 2rem;
    font-weight: normal;
    margin: 0;
    text-transform: uppercase;
    letter-spacing: 1.6px;
    @media screen and (max-width: $small-screen-width) {
      font-size: 1rem;
    }
  }
  &__greeting {
    color: $greeting-color;
  }
  &__content {
    padding-right: 5%;
    font-family: "Sequel-45";
    font-size: 1rem;
    @media screen and (max-width: $small-screen-width) {
      font-size: 0.75rem;
    }
    color: $foreground-color;
  }
  @media screen and (max-width: $small-screen-width) {
    padding: 0;
    margin: 0;
  }
  &__icon {
    font-size: 2rem;
    position: relative;
    left: -75px;
    margin-bottom: -100px;
    @media screen and (max-width: $medium-screen-width) {
      display: none;
    }
    &--image {
      border-radius: 50%;
      width: 125px;
      height: 125px;
      object-fit: cover;

      position: relative;
      left: -150px;
      bottom: 20px;
      margin-bottom: -125px;
      @media screen and (max-width: $medium-screen-width) {
        display: none;
      }
    }
  }
}
.light-mode .link--external {
  color: $light-highlight-color;
}
.link {
  color: inherit;
  text-decoration: none;
  &--external {
    color: inherit;
    text-decoration-line: underline;
    text-underline-offset: 2px;
    color: $highlight-color;
  }
}
</style>
